Omaha #4808 - Update release to 2.2.15-47

Change-Id: I954991eb7880089e270be2f09b93fccc4187d3d9

Former-commit-id: f41937db1be4282f08e71c57da951f337a3f2735
This commit is contained in:
Greg Armendariz 2015-12-14 09:48:19 -06:00
parent 51e012f321
commit 260e75c38f
12 changed files with 1 additions and 2462 deletions

View file

@ -1,126 +0,0 @@
#!/bin/bash
#
# httpd Startup script for the Apache HTTP Server used by Pypies
#
# chkconfig: - 85 15
# description: Apache is a World Wide Web server. It is used to serve \
# HTML files and CGI. Pypies uses it to serve connections.
# processname: httpd
# config: /etc/httpd/conf/httpd.conf
# config: /etc/sysconfig/httpd
# pidfile: /var/run/httpd.pid
# Source function library.
. /etc/rc.d/init.d/functions
if [ -f /etc/sysconfig/httpd ]; then
. /etc/sysconfig/httpd
fi
# Start httpd in the C locale by default.
HTTPD_LANG=${HTTPD_LANG-"C"}
# This will prevent initlog from swallowing up a pass-phrase prompt if
# mod_ssl needs a pass-phrase from the user.
INITLOG_ARGS=""
# Set HTTPD=/usr/sbin/httpd.worker in /etc/sysconfig/httpd to use a server
# with the thread-based "worker" MPM; BE WARNED that some modules may not
# work correctly with a thread-based MPM; notably PHP will refuse to start.
# Path to the apachectl script, server binary, and short-form for messages.
apachectl=/awips2/httpd_pypies/usr/sbin/apachectl
httpd=${HTTPD-/awips2/httpd_pypies/usr/sbin/httpd}
prog=httpd
pidfile=${PIDFILE-/awips2/httpd_pypies/var/run/httpd.pid}
lockfile=${LOCKFILE-/awips2/httpd_pypies/var/lock/subsys/httpd}
RETVAL=0
# check for 1.3 configuration
check13 () {
CONFFILE=/awips2/httpd_pypies/etc/httpd/conf/httpd.conf
GONE="(ServerType|BindAddress|Port|AddModule|ClearModuleList|"
GONE="${GONE}AgentLog|RefererLog|RefererIgnore|FancyIndexing|"
GONE="${GONE}AccessConfig|ResourceConfig)"
if LANG=C grep -Eiq "^[[:space:]]*($GONE)" $CONFFILE; then
echo
echo 1>&2 " Apache 1.3 configuration directives found"
echo 1>&2 " please read @docdir@/migration.html"
failure "Apache 1.3 config directives test"
echo
exit 1
fi
}
# The semantics of these two functions differ from the way apachectl does
# things -- attempting to start while running is a failure, and shutdown
# when not running is also a failure. So we just do it the way init scripts
# are expected to behave here.
start() {
echo -n $"Starting $prog: "
check13 || exit 1
LANG=$HTTPD_LANG daemon $httpd $OPTIONS
RETVAL=$?
echo
[ $RETVAL = 0 ] && touch ${lockfile}
return $RETVAL
}
# When stopping httpd a delay of >10 second is required before SIGKILLing the
# httpd parent; this gives enough time for the httpd parent to SIGKILL any
# errant children.
stop() {
echo -n $"Stopping $prog: "
killproc -d 10 $httpd
RETVAL=$?
echo
[ $RETVAL = 0 ] && rm -f ${lockfile} ${pidfile}
}
reload() {
echo -n $"Reloading $prog: "
if ! LANG=$HTTPD_LANG $httpd $OPTIONS -t >&/dev/null; then
RETVAL=$?
echo $"not reloading due to configuration syntax error"
failure $"not reloading $httpd due to configuration syntax error"
else
killproc $httpd -HUP
RETVAL=$?
fi
echo
}
# See how we were called.
case "$1" in
start)
start
;;
stop)
stop
;;
status)
status $httpd
RETVAL=$?
;;
restart)
stop
start
;;
condrestart)
if [ -f ${pidfile} ] ; then
stop
start
fi
;;
reload)
reload
;;
graceful|help|configtest|fullstatus)
$apachectl $@
RETVAL=$?
;;
*)
echo $"Usage: $prog {start|stop|restart|condrestart|reload|status|fullstatus|graceful|help|configtest}"
exit 1
esac
exit $RETVAL

File diff suppressed because it is too large Load diff

View file

@ -1,19 +0,0 @@
LoadModule wsgi_module modules/mod_wsgi.so
WSGIPythonHome /awips2/python
<VirtualHost *>
ServerName localhost
#wsgi is setup in embedded mode, Daemon Process not doing anything
#WSGIDaemonProcess pypies user=awips group=fxalpha python-path=/awips2/python/lib/python2.7/site-packages processes=50 threads=1 umask=0000 display-name=pypies deadlock-timeout=30
WSGIScriptAlias / /awips2/httpd_pypies/var/www/wsgi/pypies.wsgi
<Directory /awips2/httpd_pypies/var/www/wsgi>
# uncomment for Daemon mode
#WSGIProcessGroup pypies
WSGIApplicationGroup %{GLOBAL}
Order deny,allow
Allow from all
</Directory>
</VirtualHost>

View file

@ -1,5 +0,0 @@
import site
site.addsitedir('/awips2/python/lib/python2.7/site-packages')
import pypies.handlers
application = pypies.handlers.pypies_response

View file

@ -1,19 +0,0 @@
#!/bin/bash
# Remove any logs from a week ago, if they exist.
_PYPIES_LOG_DIRECTORY="/awips2/httpd_pypies/var/log/httpd"
_LOG_NAME_PREFIXES=( 'access_log' 'error_log' )
_COUNT_DAYS=( 7 8 9 10 11 12 13 14 )
for day in ${_COUNT_DAYS[*]}; do
_log_date=`date -d "-${day} day" +%Y.%m.%d`
for logPrefix in ${_LOG_NAME_PREFIXES[*]}; do
_log_file="${logPrefix}.${_log_date}"
echo "${_PYPIES_LOG_DIRECTORY}/${_log_file}"
rm -f ${_PYPIES_LOG_DIRECTORY}/${_log_file}
done
done

View file

@ -1,198 +0,0 @@
#!/bin/bash
#
# httpd Startup script for the Apache HTTP Server used by Pypies
#
# chkconfig: - 85 15
# description: Apache is a World Wide Web server. It is used to serve \
# HTML files and CGI. Pypies uses it to serve connections.
# processname: httpd
# config: /etc/httpd/conf/httpd.conf
# config: /etc/sysconfig/httpd
# pidfile: /var/run/httpd.pid
# Source function library.
. /etc/rc.d/init.d/functions
if [ -f /etc/sysconfig/httpd ]; then
. /etc/sysconfig/httpd
fi
# Start httpd in the C locale by default.
HTTPD_LANG=${HTTPD_LANG-"C"}
# This will prevent initlog from swallowing up a pass-phrase prompt if
# mod_ssl needs a pass-phrase from the user.
INITLOG_ARGS=""
# Set HTTPD=/usr/sbin/httpd.worker in /etc/sysconfig/httpd to use a server
# with the thread-based "worker" MPM; BE WARNED that some modules may not
# work correctly with a thread-based MPM; notably PHP will refuse to start.
# Find the httpd-pypies installation.
HTTPD_PYPIES_INSTALL="/awips2/httpd_pypies"
# Path to the apachectl script, server binary, and short-form for messages.
apachectl=${HTTPD_PYPIES_INSTALL}/usr/sbin/apachectl
httpd=${HTTPD-${HTTPD_PYPIES_INSTALL}/usr/sbin/httpd}
prog=httpd
pidfile=${PIDFILE-${HTTPD_PYPIES_INSTALL}/var/run/httpd.pid}
lockfile=${LOCKFILE-${HTTPD_PYPIES_INSTALL}/var/lock/subsys/httpd}
RETVAL=0
PYTHON_INSTALL="/awips2/python"
loggingCmd="${PYTHON_INSTALL}/bin/python -u ${PYTHON_INSTALL}/lib/python2.7/site-packages/pypies/logging/logProcess.py"
# pypies configuration location
export PYPIES_CFG=/awips2/pypies/conf/pypies.cfg
# Add to LD_LIBRARY_PATH, if necessary.
PYTHON_LIB_DIR="${PYTHON_INSTALL}/lib"
# Determine if LD_LIBRARY_PATH needs to be updated.
echo $LD_LIBRARY_PATH | grep "${PYTHON_LIB_DIR}" > /dev/null 2>&1
RC="$?"
if [ ! "${RC}" = "0" ]; then
export LD_LIBRARY_PATH=${PYTHON_LIB_DIR}:$LD_LIBRARY_PATH
fi
# check for 1.3 configuration
check13 () {
CONFFILE=${HTTPD_PYPIES_INSTALL}/etc/httpd/conf/httpd.conf
GONE="(ServerType|BindAddress|Port|AddModule|ClearModuleList|"
GONE="${GONE}AgentLog|RefererLog|RefererIgnore|FancyIndexing|"
GONE="${GONE}AccessConfig|ResourceConfig)"
if LANG=C grep -Eiq "^[[:space:]]*($GONE)" $CONFFILE; then
echo
echo 1>&2 " Apache 1.3 configuration directives found"
echo 1>&2 " please read /usr/share/doc/awips2-httpd-pypies-2.2.3/migration.html"
failure "Apache 1.3 config directives test"
echo
exit 1
fi
}
# The semantics of these two functions differ from the way apachectl does
# things -- attempting to start while running is a failure, and shutdown
# when not running is also a failure. So we just do it the way init scripts
# are expected to behave here.
start() {
source /etc/profile.d/awips2HDF5Tools.sh
echo -n $"Starting logging service:"
nohup su awips -c "$loggingCmd > /tmp/pypiesLoggingService.log 2>&1" > /dev/null &
RC=$?
# TODO: need better checks to ensure that the logging service actually keeps
# running after startup.
RC=$?
if [ ${RC} -ne 0 ]; then
failure
else
success
fi
echo
echo -n $"Starting $prog: "
check13 || exit 1
LANG=$HTTPD_LANG daemon $httpd $OPTIONS -f \
${HTTPD_PYPIES_INSTALL}/etc/httpd/conf/httpd.conf
RETVAL=$?
echo
[ $RETVAL = 0 ] && touch ${lockfile}
return $RETVAL
}
stop() {
echo -n $"Stopping $prog: "
${HTTPD_PYPIES_INSTALL}/usr/sbin/apachectl -f \
${HTTPD_PYPIES_INSTALL}/etc/httpd/conf/httpd.conf \
-k graceful-stop
RETVAL=$?
echo
[ $RETVAL = 0 ] && rm -f ${lockfile} ${pidfile}
echo -n $"Stopping logging service:"
# Stop the logging process
for pid in `ps aux | grep [l]ogProcess.py | awk '{print $2}'`;
do
kill -9 ${pid}
RC=$?
if [ ${RC} -ne 0 ]; then
failure
return
fi
done
success
echo
}
# When stopping httpd a delay of >10 second is required before SIGKILLing the
# httpd parent; this gives enough time for the httpd parent to SIGKILL any
# errant children.
forcestop() {
echo -n $"Stopping $prog: "
killproc -d 10 $httpd
RETVAL=$?
echo
[ $RETVAL = 0 ] && rm -f ${lockfile} ${pidfile}
echo -n $"Stopping logging service:"
# Stop the logging process
for pid in `ps aux | grep [l]ogProcess.py | awk '{print $2}'`;
do
kill -9 ${pid}
RC=$?
if [ ${RC} -ne 0 ]; then
failure
return
fi
done
success
echo
}
reload() {
echo -n $"Reloading $prog: "
if ! LANG=$HTTPD_LANG $httpd $OPTIONS -t >&/dev/null; then
RETVAL=$?
echo $"not reloading due to configuration syntax error"
failure $"not reloading $httpd due to configuration syntax error"
else
${HTTPD_PYPIES_INSTALL}/usr/sbin/apachectl -f \
${HTTPD_PYPIES_INSTALL}/etc/httpd/conf/httpd.conf \
-k graceful
RETVAL=$?
fi
echo
}
# See how we were called.
case "$1" in
start)
start
;;
stop)
stop
;;
forcestop)
forcestop
;;
status)
status $httpd
RETVAL=$?
;;
restart)
stop
start
;;
condrestart)
if [ -f ${pidfile} ] ; then
stop
start
fi
;;
reload)
reload
;;
graceful|help|configtest|fullstatus)
$apachectl $@
RETVAL=$?
;;
*)
echo $"Usage: $prog {start|stop|forcestop|restart|condrestart|reload|status|fullstatus|graceful|help|configtest}"
exit 1
esac
exit $RETVAL

View file

@ -235,7 +235,7 @@ function lookupRPM()
return 0 return 0
fi fi
if [ "${1}" = "awips2-httpd-pypies" ]; then if [ "${1}" = "awips2-httpd-pypies" ]; then
export RPM_SPECIFICATION="${awips2_core_dir}/Installer.httpd-pypies" export RPM_SPECIFICATION="${installer_dir}/httpd-pypies"
return 0 return 0
fi fi
if [ "${1}" = "awips2-java" ]; then if [ "${1}" = "awips2-java" ]; then

View file

@ -102,23 +102,3 @@ function buildLocalizationRPMs()
return 0 return 0
} }
function unpackHttpdPypies()
{
# This function will unpack the httpd-pypies SOURCES
# into the: ${AWIPSII_TOP_DIR}/SOURCES directory.
awips2_core_directory=${WORKSPACE}/rpms/awips2.core
httpd_pypies_directory=${awips2_core_directory}/Installer.httpd-pypies
httpd_SOURCES=${httpd_pypies_directory}/src/httpd-2.2.15-SOURCES.tar
/bin/tar -xvf ${httpd_SOURCES} -C ${AWIPSII_TOP_DIR}/SOURCES
if [ $? -ne 0 ]; then
return 1
fi
cp -vf ${httpd_pypies_directory}/SOURCES/* ${AWIPSII_TOP_DIR}/SOURCES
if [ $? -ne 0 ]; then
return 1
fi
return 0
}

View file

@ -162,10 +162,6 @@ if [ "${1}" = "-rh6" ]; then
buildRPM "awips2-tools" buildRPM "awips2-tools"
buildRPM "awips2-postgresql" buildRPM "awips2-postgresql"
buildRPM "awips2-pgadmin3" buildRPM "awips2-pgadmin3"
unpackHttpdPypies
if [ $? -ne 0 ]; then
exit 1
fi
buildRPM "awips2-httpd-pypies" buildRPM "awips2-httpd-pypies"
buildRPM "awips2-qpid-lib" buildRPM "awips2-qpid-lib"
buildRPM "awips2-qpid-java" buildRPM "awips2-qpid-java"